#!/bin/bash

function fgv1() {
    v1=1;
    echo in fgv1 v1=$v1;
}

function fgv2() (
    v2=2;
    echo in fgv2 v2=$v2;
)

function fgv3() {
    local v3=3;
    echo 'in' fgv3 v3=$v3;
}


echo v1=$v1;
fgv1
echo v1=$v1;

echo v2=$v2;
fgv2
echo v2=$v2;

echo v3=$v3;
fgv3
echo v3=$v3;


